XnEvent.h File Reference
`#include "XnCallback.h"`
`#include "XnList.h"`
`#include "XnTypes.h"`
`#include "XnOSCpp.h"`

Go to the source code of this file.

## Classes

class | XnEventInterface
class | XnEvent

## Macros

#define | XN_DECLARE_EVENT_0ARG(_class, _interface)
#define | XN_DECLARE_EVENT_0ARG_RETVAL(_class, _interface)
#define | XN_DECLARE_EVENT_1ARG(_class, _interface, _type1, _name1)
#define | XN_DECLARE_EVENT_1ARG_RETVAL(_class, _interface, _type1, _name1)
#define | XN_DECLARE_EVENT_2ARG(_class, _interface, _type1, _name1, _type2, _name2)
#define | XN_DECLARE_EVENT_2ARG_RETVAL(_class, _interface, _type1, _name1, _type2, _name2)
#define | XN_DECLARE_EVENT_3ARG(_class, _interface, _type1, _name1, _type2, _name2, _type3, _name3)
#define | XN_DECLARE_EVENT_3ARG_RETVAL(_class, _interface, _type1, _name1, _type2, _name2, _type3, _name3)
#define | XN_DECLARE_EVENT_4ARG(_class, _interface, _type1, _name1, _type2, _name2, _type3, _name3, _type4, _name4)
#define | XN_DECLARE_EVENT_4ARG_RETVAL(_class, _interface, _type1, _name1, _type2, _name2, _type3, _name3, _type4, _name4)
#define | XN_DECLARE_EVENT_5ARG(_class, _interface, _type1, _name1, _type2, _name2, _type3, _name3, _type4, _name4, _type5, _name5)
#define | XN_DECLARE_EVENT_5ARG_RETVAL(_class, _interface, _type1, _name1, _type2, _name2, _type3, _name3, _type4, _name4, _type5, _name5)

## Macro Definition Documentation

## XN_DECLARE_EVENT_0ARG

#define XN_DECLARE_EVENT_0ARG | ( |  | _class,
|  |  | _interface )

Value:
_XN_DECLARE_EVENT_CLASS(_class, _interface, void, _XN_RAISE_NO_RET_CODE(_XN_ARGS_0ARG()), _XN_FULL_SIGNATURE_0ARG(), _XN_SIGNATURE_0ARG())

Declares an event class

## XN_DECLARE_EVENT_0ARG_RETVAL

#define XN_DECLARE_EVENT_0ARG_RETVAL | ( |  | _class,
|  |  | _interface )

Value:
_XN_DECLARE_EVENT_CLASS(_class, _interface, XnStatus, _XN_RAISE_WITH_RET_CODE(_XN_ARGS_0ARG()), _XN_FULL_SIGNATURE_0ARG(), _XN_SIGNATURE_0ARG())
XnStatus
XnUInt32 XnStatus
Definition XnStatus.h:34

## XN_DECLARE_EVENT_1ARG

#define XN_DECLARE_EVENT_1ARG | ( |  | _class,
|  |  | _interface,
|  |  | _type1,
|  |  | _name1 )

Value:
_XN_DECLARE_EVENT_CLASS(_class, _interface, void, _XN_RAISE_NO_RET_CODE(_XN_ARGS_1ARG(_name1)), _XN_FULL_SIGNATURE_1ARG(_type1, _name1), _XN_SIGNATURE_1ARG(_type1, _name1))

## XN_DECLARE_EVENT_1ARG_RETVAL

#define XN_DECLARE_EVENT_1ARG_RETVAL | ( |  | _class,
|  |  | _interface,
|  |  | _type1,
|  |  | _name1 )

Value:
_XN_DECLARE_EVENT_CLASS(_class, _interface, XnStatus, _XN_RAISE_WITH_RET_CODE(_XN_ARGS_1ARG(_name1)), _XN_FULL_SIGNATURE_1ARG(_type1, _name1), _XN_SIGNATURE_1ARG(_type1, _name1))

## XN_DECLARE_EVENT_2ARG

#define XN_DECLARE_EVENT_2ARG | ( |  | _class,
|  |  | _interface,
|  |  | _type1,
|  |  | _name1,
|  |  | _type2,
|  |  | _name2 )

Value:
_XN_DECLARE_EVENT_CLASS(_class, _interface, void, _XN_RAISE_NO_RET_CODE(_XN_ARGS_2ARG(_name1, _name2)), _XN_FULL_SIGNATURE_2ARG(_type1, _name1, _type2, _name2), _XN_SIGNATURE_2ARG(_type1, _name1, _type2, _name2))

## XN_DECLARE_EVENT_2ARG_RETVAL

#define XN_DECLARE_EVENT_2ARG_RETVAL | ( |  | _class,
|  |  | _interface,
|  |  | _type1,
|  |  | _name1,
|  |  | _type2,
|  |  | _name2 )

Value:
_XN_DECLARE_EVENT_CLASS(_class, _interface, XnStatus, _XN_RAISE_WITH_RET_CODE(_XN_ARGS_2ARG(_name1, _name2)), _XN_FULL_SIGNATURE_2ARG(_type1, _name1, _type2, _name2), _XN_SIGNATURE_2ARG(_type1, _name1, _type2, _name2))

## XN_DECLARE_EVENT_3ARG

#define XN_DECLARE_EVENT_3ARG | ( |  | _class,
|  |  | _interface,
|  |  | _type1,
|  |  | _name1,
|  |  | _type2,
|  |  | _name2,
|  |  | _type3,
|  |  | _name3 )

Value:
_XN_DECLARE_EVENT_CLASS(_class, _interface, void, _XN_RAISE_NO_RET_CODE(_XN_ARGS_3ARG(_name1, _name2, _name3)), _XN_FULL_SIGNATURE_3ARG(_type1, _name1, _type2, _name2, _type3, _name3), _XN_SIGNATURE_3ARG(_type1, _name1, _type2, _name2, _type3, _name3))

## XN_DECLARE_EVENT_3ARG_RETVAL

#define XN_DECLARE_EVENT_3ARG_RETVAL | ( |  | _class,
|  |  | _interface,
|  |  | _type1,
|  |  | _name1,
|  |  | _type2,
|  |  | _name2,
|  |  | _type3,
|  |  | _name3 )

Value:
_XN_DECLARE_EVENT_CLASS(_class, _interface, XnStatus, _XN_RAISE_WITH_RET_CODE(_XN_ARGS_3ARG(_name1, _name2, _name3)), _XN_FULL_SIGNATURE_3ARG(_type1, _name1, _type2, _name2, _type3, _name3), _XN_SIGNATURE_3ARG(_type1, _name1, _type2, _name2, _type3, _name3))

## XN_DECLARE_EVENT_4ARG

#define XN_DECLARE_EVENT_4ARG | ( |  | _class,
|  |  | _interface,
|  |  | _type1,
|  |  | _name1,
|  |  | _type2,
|  |  | _name2,
|  |  | _type3,
|  |  | _name3,
|  |  | _type4,
|  |  | _name4 )

Value:
_XN_DECLARE_EVENT_CLASS(_class, _interface, void, _XN_RAISE_NO_RET_CODE(_XN_ARGS_4ARG(_name1, _name2, _name3, _name4)), _XN_FULL_SIGNATURE_4ARG(_type1, _name1, _type2, _name2, _type3, _name3, _type4, _name4), _XN_SIGNATURE_4ARG(_type1, _name1, _type2, _name2, _type3, _name3, _type4, _name4))

## XN_DECLARE_EVENT_4ARG_RETVAL

#define XN_DECLARE_EVENT_4ARG_RETVAL | ( |  | _class,
|  |  | _interface,
|  |  | _type1,
|  |  | _name1,
|  |  | _type2,
|  |  | _name2,
|  |  | _type3,
|  |  | _name3,
|  |  | _type4,
|  |  | _name4 )

Value:
_XN_DECLARE_EVENT_CLASS(_class, _interface, XnStatus, _XN_RAISE_WITH_RET_CODE(_XN_ARGS_4ARG(_name1, _name2, _name3, _name4)), _XN_FULL_SIGNATURE_4ARG(_type1, _name1, _type2, _name2, _type3, _name3, _type4, _name4), _XN_SIGNATURE_4ARG(_type1, _name1, _type2, _name2, _type3, _name3, _type4, _name4))

## XN_DECLARE_EVENT_5ARG

#define XN_DECLARE_EVENT_5ARG | ( |  | _class,
|  |  | _interface,
|  |  | _type1,
|  |  | _name1,
|  |  | _type2,
|  |  | _name2,
|  |  | _type3,
|  |  | _name3,
|  |  | _type4,
|  |  | _name4,
|  |  | _type5,
|  |  | _name5 )

Value:
_XN_DECLARE_EVENT_CLASS(_class, _interface, void, _XN_RAISE_NO_RET_CODE(_XN_ARGS_5ARG(_name1, _name2, _name3, _name4, _name5)), _XN_FULL_SIGNATURE_5ARG(_type1, _name1, _type2, _name2, _type3, _name3, _type4, _name4, _type5, _name5), _XN_SIGNATURE_5ARG(_type1, _name1, _type2, _name2, _type3, _name3, _type4, _name4, _type5, _name5))

## XN_DECLARE_EVENT_5ARG_RETVAL

#define XN_DECLARE_EVENT_5ARG_RETVAL | ( |  | _class,
|  |  | _interface,
|  |  | _type1,
|  |  | _name1,
|  |  | _type2,
|  |  | _name2,
|  |  | _type3,
|  |  | _name3,
|  |  | _type4,
|  |  | _name4,
|  |  | _type5,
|  |  | _name5 )

Value:
_XN_DECLARE_EVENT_CLASS(_class, _interface, XnStatus, _XN_RAISE_WITH_RET_CODE(_XN_ARGS_5ARG(_name1, _name2, _name3, _name4, _name5)), _XN_FULL_SIGNATURE_5ARG(_type1, _name1, _type2, _name2, _type3, _name3, _type4, _name4, _type5, _name5), _XN_SIGNATURE_5ARG(_type1, _name1, _type2, _name2, _type3, _name3, _type4, _name4, _type5, _name5))